TRACE_BLOCK_BIO_BOUN(9)

NAME
trace_block_bio_bounce - used bounce buffer when processing block operation

SYNOPSIS

void trace_block_bio_bounce(struct request_queue * q, struct bio * bio);

ARGUMENTS

q
    queue holding the block operation

bio
    block operation

DESCRIPTION

A bounce buffer was used to handle the block operation bio in q. This occurs when hardware limitations prevent a direct transfer of data between the bio data memory area and the IO device. Use of a bounce buffer requires extra copying of data and decreases performance.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT